.contenu {
    width: 101.5%;
    margin-left: -.75%;
}

iframe {
    width: 1020px;
    height: 630px;
    border-radius: 15px;
}

.message-accueil {
    margin-top: 70px;
    text-transform: uppercase;
}

.btn-container {
    display: flex;
    justify-content: center;
    margin: 70px auto 70px auto;
}

.btn-infos {
    width: 30%;
    text-align: center;
    background-color: var(--noir);
    box-shadow: 0 3px 30px var(--ombre);
    font: normal normal bold 18px/27px Poppins;
    color: var(--blanc);
    padding: 22px 30px;
    border: none;
    border-radius: 35px;
}

.categories-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.astuces-container {
    position: relative;
    overflow: hidden;
    width: calc(100% + 11px);
    margin-left: -5px;
    padding: 0 40px; /* leave space for arrows */
    box-sizing: border-box;
}

.categorie,
.astuce {
    position: relative;
    min-width: 250px;
    min-height: 250px;
    margin: 20px 10px;
    border-radius: 35px;
    color: white;
    transition: .4s;
}

.categorie {
    background-color: var(--orange);
    color: var(--noir);
    height: calc(110vw / 5);
    width: calc(110vw / 5);
    cursor: pointer;
}

.categorie h3 {
    text-align: left;
    font: normal normal bold 18px/22px Poppins;
    letter-spacing: .03em;
    line-height: 1.4em;
    font-weight: 600;
    margin: 45px 15px;
}

.astuces-track {
    display: flex;
    transition: transform 0.6s ease;
}

.astuce {
    flex: 0 0 calc((100% - 80px) / 3); /* 3 astuces visible minus arrow space */
    box-sizing: border-box;
    margin: 20px 10px; /* spacing between astuces */
    transition: .4s; /* keeps hover animation */
    background-color: var(--rouge);
}

.icone-fleche-astuce {
    position: absolute;
    bottom: 20px;
    right: 20px;
    color: #FD9B9C;
    z-index: 0;
}

.categorie:hover {
    background-color: var(--noir);
    color: var(--blanc);

    button {
        background-color: var(--blanc);
        color: var(--noir);
        transform: translateY(-10px);
    }
}

.categorie:hover button {
    background-color: var(--blanc);
    color: var(--noir);
    transform: translateY(-10px);
}

.astuce:hover {
    background-color: #F08183;
    background-image: none !important;

    h1 {
        color: var(--rose);
        z-index: -1;
        opacity: 0;
    }

    h4, .description {
        color: var(--blanc);
        opacity: 1;
    }

    .icone-fleche-astuce {
        opacity: 0;
    }
}

.astuce:hover h1 {
    color: var(--rose);
    z-index: -1;
    opacity: 0;
}

.astuce:hover h4,
.astuce:hover .description {
    color: var(--blanc);
    opacity: 1;
}

.astuce:hover .icone-fleche-astuce {
    opacity: 0;
}

.astuce h1 {
    position: absolute;
    bottom: 0;
    font-size: 32px;
    text-align: left;
    margin: 10% 6%;
    transition: .4s;
}

.astuce h4,
.astuce .description {
    font-family: 'Poppins', sans-serif;
    color: white;
    margin: 10% 6%;
    text-align: left;
    opacity: 0;
    transition: .4s;
}

.astuce h4 {
    font-size: 22px;
    font-weight: bold;
    margin-bottom: 10px;
    color: var(--rouge);
    opacity: 0;
}

.astuce .description {
    margin-top: 10px;
    line-height: 1.2;
    color: var(--rouge);
}

.astuce a {
    color: var(--blanc);
    text-decoration: underline;
    font-weight: bold;
}

.categorie button {
    position: absolute;
    bottom: 8%;
    padding: 10px 15px;
    width: 75%;
    margin: 0 12.5%;
    background-color: var(--noir);
    color: white;
    border: none;
    border-radius: 25px;
    font-family: Poppins, sans-serif;
    font-weight: 500;
    transition: .4s;
    cursor: pointer;
}

.carrousel-fleche {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: var(--noir);
    cursor: pointer;
    z-index: 2;
}

.carrousel-fleche.gauche {
    left: 0;
}

.carrousel-fleche.droite {
    right: 0;
}

.portes-entrees {
    position: relative;
    font-family: Poppins, sans-serif;
    background-color: var(--vert);
    padding: 20px 50px;
    width: 85vw;
    margin: 50px auto -50px auto;
    border-radius: 35px;
}

.portes-entrees h1 {
    text-align: left;
    font: normal normal bold 36px/55px Poppins;
    margin: 50px 0 0 25px;
}

.portes-entrees .texte {
    width: 60%;
    max-width: 646px;
    text-align: left;
    font: normal normal normal 22px/26px Poppins;
    color: var(--noir);
    margin-left: 25px;
    font-weight: 300;
}

.portes-entrees .texte strong {
    font-weight: bold;
}

.portes-entrees button,
.intention button {
    padding: 12px 15px 10px 15px;
    border: none;
    border-radius: 25px;
    font: normal normal bold 14px/21px Poppins;
    font-weight: 500;
    transition: .4s;
    cursor: pointer;
    color: var(--blanc);
}

.portes-entrees button {
    position: absolute;
    bottom: 8%;
    right: 8%;
    background-color: var(--noir);
}

.intention {
    background-color: var(--noir);
    color: var(--blanc);
    padding: 20px 50px;
    border-top-left-radius: 35px;
    border-top-right-radius: 35px;
    margin: 0 -8px;
    text-align: center;
    box-shadow: 0 3px 30px var(--ombre);
}

.intention h1 {
    margin-top: 100px
}

.intention .texte {
    font: normal normal normal 22px/26px Poppins;
    font-weight: 300;
    max-width: 1000px;
    margin: auto;
}

.intention button {
    background-color: var(--orange);
    margin: 20px 0;
}

@media screen and (max-width: 800px) {
    #cercle-dash, #cercle-vert, #cercle-orange, #cercle-dash-rouge, #cercle-petit-rouge {
        display: none;
    }

    iframe {
        width: 510px;
        height: 315px;
    }

    .message-accueil {
        opacity: 1;
    }

    .btn-infos {
        width: 60%;
        font: normal normal normal 12px/27px Poppins;
    }

    .categorie {
        width: 90vw;
        height: 90vw;
    }

    .categorie h3 {
        font-size: 24px;
    }

    .portes-entrees {
        padding: 15px;
    }

    .portes-entrees h1 {
        margin: 0;
    }

    .portes-entrees .texte {
        margin: 0;
        width: 95%;
        font: normal normal normal 17px/27px Poppins;
    }

    .p-e-button-cont {
        text-align: center;
    }

    .portes-entrees button {
        position: relative;
        bottom: 0;
        right: 0;
    }

    .astuces-container {
        flex-wrap: wrap;
    }

    .astuce h1 {
        opacity: 1;
    }

    .astuce .description, h4 {
        opacity: 0;
    }

    .astuce .icone-fleche-astuce {

        opacity: 1;
    }

    .astuce:hover {
        background-color: var(--rouge);

        h1 {
            color: white;
            z-index: 0;
            opacity: 1;
        }

        .description, h4 {
            color: var(--rouge);
            opacity: 0;
        }

        .icone-fleche-astuce {
            color: var(--rose);
            z-index: 0;
            opacity: 1;
        }
    }

    .astuce .icone-fleche-astuce {
        transition: .4s ease;
        opacity: 1;
    }

    .astuce {
        flex: 0 0 calc(100vw - 100px);
        transition: .4s ease;
        background-color: var(--rouge);
        background-image: none !important;
    }

    .astuce h1 {
        margin: 25% 6%;
        font-size: 25px;
        transition: .4s ease;
        opacity: 1;
        top: 0;
    }


    .astuce.clicked {
        background-color: #F08183;
    }


    .astuce.clicked h1 {
        color: var(--rose);
        opacity: 0;
    }

    .astuce.clicked h4, .astuce.clicked .description {
        color: var(--blanc);
        opacity: 1;
    }

    .astuce.clicked .icone-fleche-astuce {
        z-index: -1;
        opacity: 0;
    }

    .intention {
        padding: 20px 15px;
    }

    .intention .texte {
        font: normal normal normal 17px/27px Poppins;
    }

}